Skip to main content

Create payable register

POSThttps://api.propexo.com/v1/payable-registers/

Create a payable register for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    vendor_idstring

    The Propexo unique identifier for the vendor

    ap_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    cash_financial_account_idstring

    The Propexo unique identifier for the financial account. Must be the cash account ID associated with the property passed in the payable register items. You'll likely want to work with your customer to know what value is appropriate here.

    invoice_numberstring

    The invoice or reference number that the vendor assigned to the service request. Must be unique per vendor.

    invoice_datestring

    The date of issuance for the invoice

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    total_amount_in_centsnumber

    The amount of the payable register, in cents. Total amount must match the sum of the payable register items' amounts

    discount_amount_in_centsnumber

    The discount, in cents, of the payable register

    discount_datestring

    The date a discount was issued on payable register

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    discount_percentstring

    The discount percentage of the payable register

    Possible values: Value must match regular expression ^([1-9]\d?|0\.(0[1-9]|[1-9]\d?)|[1-9]\d?\.\d{1,2})$

    due_datestring

    The due date associated with the payable register

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    display_typestring

    The display type of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    expense_typestring

    The expense type of the payable register. This is a customer defined list and you'll likely want to work with your customer to know what value is appropriate here.

    is_adjustmentboolean

    Whether the payable register is an adjustment or not

    is_credit_memoboolean

    Whether the payable register is a credit memo or not

    is_consolidate_checksboolean

    Whether the payable register should consolidate checks or not

    is_exempt_from_1099boolean

    Whether the payable register is exempt from a 1099 or not

    invoice_statusstring

    The status of the payable register

    Show 6 enum values
    READYKEYEDWORKFLOWAPPROVEDPOSTEDOTHER
    notesstring

    Notes associated with the payable register

    Possible values: <= 512 characters

    user_defined_field_2string

    The 2nd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    user_defined_field_3string

    The 3rd user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    user_defined_field_4string

    The 4th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    user_defined_field_5string

    The 5th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    user_defined_field_6string

    The 6th user defined field of the payable register. You'll likely want to work with your customer to know what value is appropriate here.

    payable_register_items object[]

    A list of payable register line items. At least one is required.

    Possible values: >= 1

  • Array [
  • property_idstringrequired

    The Propexo unique identifier for the property

    financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    cash_financial_account_idstring

    The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.

    purchase_order_item_idstring

    The Propexo unique identifier for the purchase order item. This Purchase Order Item must be associated with the same property.

    total_amount_in_centsnumberrequired

    The amount of the payable register item, in cents. If also passing in a purchase order item, the total amount cannot be greater than the associated purchase order.

    notesstring

    Notes associated with the payable register item

    Possible values: <= 512 characters

  • ]

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/payable-registers/
curl -X POST https://api.propexo.com/v1/payable-registers/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}